Subject: [mpls] [Errata Rejected] RFC3031 (5643)

From: RFC Errata System <[email-masked]>
Date: Thu, 30 May 2019 14:16:33 -0700 (PDT)

The following errata report has been rejected for RFC3031,
"Multiprotocol Label Switching Architecture".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5643

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Mark Smith <[email-masked]>
Date Reported: 2019-02-25
Rejected by: Deborah Brungard (IESG)

Section: Terminology

Original Text
-------------
<missing>

Corrected Text
--------------
label edge router - a router capable of accepting an unlabelled packet,
and through MPLS processing, may MPLS encapsulate the packet by adding
 a label stack. 

Notes
-----
I am doing some MPLS review.

The book I'm using said an LER was an (RFC3031) MPLS edge node. I believed it was any router that could take unlabelled packets and label them, regardless of where the router was within the MPLS domain. (In other words, an MPLS router was not an LER if it would not MPLS label unlabelled packets and forward them.)

I decided to check RFC3031 for a definition, and discovered there isn't a definition at all for "label edge router", or a match on any text that matches "label edge" or "LER".

RFC6178 clarifies LER processing of IPv4 packets, and the general description of processing matches my understanding of what an LER is. 

However, it doesn't formally define an "label edge router" either, and I think an update to RFC3031 should be where "label edge router" is formally defined.
 --VERIFIER NOTES-- 
This is not an error with RFC3031. It is inappropriate to use an Errata Report to add a new term to an RFC.

--------------------------------------
RFC3031 (draft-ietf-mpls-arch-06)
--------------------------------------
Title               : Multiprotocol Label Switching Architecture
Publication Date    : January 2001
Author(s)           : E. Rosen, A. Viswanathan, R. Callon
Category            : PROPOSED STANDARD
Source              : Multiprotocol Label Switching
Area                : Routing
Stream              : IETF
Verifying Party     : IESG